<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
OnAddInInput Method (IEdmCardViewCallback6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardViewCallback6 Interface : OnAddInInput Method (IEdmCardViewCallback6)

Visual Basic
C#
C++/CLI

lFlags
  Combination of EdmCardFlag bits from a button's add-in (see Remarks)

Handles input from an add-in when an add-in button is clicked in the card view.

# Syntax

Visual Basic |
--- | ---

    Sub OnAddInInput( _
       ByVal lFlags As System.Integer _
    )

C# |
--- | ---

    void OnAddInInput(
       System.int lFlags
    )

C++/CLI |
--- | ---

    void OnAddInInput(
    &   System.int lFlags
    )

#### Parameters

lFlags
  Combination of EdmCardFlag bits from a button's add-in (see Remarks)

# Example

See the IEdmCardViewCallback6 examples.

# Remarks

When an add-in's button is clicked in a card view, IEdmAddIn5::OnCmd is called. lFlags contains the same data that is returned in ppoData (EdmCmdData::mlLongData1) of IEdmAddIn5::OnCmd.

This method allows you to act on the information provided by the button's add-in.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmCardViewCallback6 Interface
IEdmCardViewCallback6 Members

# Availability

SOLIDWORKS PDM Professional Version 6.0